Bug 1700728 - [cluster-autoscaler-operator] ClusterAutoscaler and MachineAutoscaler should be v1beta1
Summary: [cluster-autoscaler-operator] ClusterAutoscaler and MachineAutoscaler should ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Brad Ison
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 09:24 UTC by Brad Ison
Modified: 2019-06-04 10:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:47:50 UTC

Description Brad Ison 2019-04-17 09:24:48 UTC
The ClusterAutoscaler and MachineAutoscaler resources managed by the cluster-autoscaler-operator should be moved to the v1beta1 version.

Comment 1 Brad Ison 2019-04-18 12:14:41 UTC
MachineAutoscaler is now v1beta1.
ClusterAutoscaler is now v1.

No migration / conversion.

https://github.com/openshift/cluster-autoscaler-operator/pull/89
https://github.com/openshift/cluster-autoscaler-operator/pull/90

Comment 3 Jianwei Hou 2019-04-19 03:29:07 UTC
Verified on 4.1.0-0.nightly-2019-04-18-210657

ClusterAutoscaler is now v1.
apiVersion: v1
items:
- apiVersion: autoscaling.openshift.io/v1
  kind: ClusterAutoscaler
  metadata:
    creationTimestamp: 2019-04-19T03:25:42Z
    generation: 1
    name: default
    namespace: ""
    resourceVersion: "22010"
    selfLink: /apis/autoscaling.openshift.io/v1/clusterautoscalers/default
    uid: cfc43b41-6252-11e9-9e81-066686f4db30
  spec:
    resourceLimits:
      maxNodesTotal: 20
    scaleDown:
      delayAfterAdd: 10s
      delayAfterDelete: 10s
      delayAfterFailure: 10s
      enabled: true
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

MachineAutoscaler is now v1beta1.
apiVersion: v1
items:
- apiVersion: autoscaling.openshift.io/v1beta1
  kind: MachineAutoscaler
  metadata:
    creationTimestamp: 2019-04-19T03:27:55Z
    finalizers:
    - machinetarget.autoscaling.openshift.io
    generateName: autoscale-ap-northeast-1c-
    generation: 1
    name: autoscale-ap-northeast-1c-4bdhv
    namespace: openshift-machine-api
    resourceVersion: "22927"
    selfLink: /apis/autoscaling.openshift.io/v1beta1/namespaces/openshift-machine-api/machineautoscalers/autoscale-ap-northeast-1c-4bdhv
    uid: 1f486a84-6253-11e9-ba30-0af07a3c99e4
  spec:
    maxReplicas: 4
    minReplicas: 1
    scaleTargetRef:
      apiVersion: machine.openshift.io/v1beta1
      kind: MachineSet
      name: jhou1-95htj-worker-ap-northeast-1c
  status:
    lastTargetRef:
      apiVersion: machine.openshift.io/v1beta1
      kind: MachineSet
      name: jhou1-95htj-worker-ap-northeast-1c
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

Comment 5 errata-xmlrpc 2019-06-04 10:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.